<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.campaign-workspace.dialog.title.automated-suite-exec-report'
      | translate
  "
  [attr.data-test-dialog-id]="'automated-suite-exec-report'"
>
  <sqtm-core-dialog-body>
    <div class="flex-column full-width full-height">
      @if (conf.reportUrls.length > 0) {
        <div class="m-b-10">
          <sqtm-core-label
            class="m-b-10"
            [text]="
              'sqtm-core.campaign-workspace.dialog.message.squash-tf-report'
                | translate
            "
          ></sqtm-core-label>
          <ul>
            @for (url of conf.reportUrls; track url) {
              <li>
                <a [href]="url" target="_blank">{{ url }}</a>
              </li>
            }
          </ul>
        </div>
      }
      @if (attachments.length > 0) {
        <div>
          <sqtm-core-label
            class="m-b-10"
            [text]="
              'sqtm-core.campaign-workspace.dialog.message.squash-autom-report'
                | translate
            "
          ></sqtm-core-label>
          <ul>
            @for (attachment of attachments; track attachment) {
              <li>
                <a
                  [href]="
                    getAttachmentDownloadURL(conf.attachmentList.id, attachment)
                  "
                  (click)="openFilePreviewDialog($event, attachment)"
                >
                  <b>{{ attachment.name }}</b>
                </a>
                <span class="m-l-10">
                  <i>
                    @if (attachment.addedOn && !attachment.lastModifiedOn) {
                      {{
                        'sqtm-core.entity.generic.added-on.masculine'
                          | translate
                      }}
                      {{ attachment.addedOn | date: 'dd/MM/yyyy HH:mm' }}
                    }
                    @if (attachment.addedOn && attachment.lastModifiedOn) {
                      {{
                        'sqtm-core.entity.generic.last-modified-on.masculine'
                          | translate
                      }}
                      {{ attachment.lastModifiedOn | date: 'dd/MM/yyyy HH:mm' }}
                    }
                  </i>
                </span>
              </li>
            }
          </ul>
        </div>
      }
      @if (conf.reportUrls.length === 0 && attachments.length === 0) {
        <span class="m-b-10">{{
          'sqtm-core.campaign-workspace.dialog.message.no-report' | translate
        }}</span>
      }
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      style="margin-top: 5px"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
